{
	"format_version": "1.10.0",
	"animation_controllers": {
		"controller.animation.saber.attack": {
			"states": {
				"default": {
					"transitions": [
						{
							"unsheathe": "variable.saber"
						},
						{
							"undefault": "!query.is_item_name_any('slot.hotbar',0,'pixel:wooden_saber') && !query.is_item_name_any('slot.hotbar',0,'pixel:stone_saber') && !query.is_item_name_any('slot.hotbar',0,'pixel:iron_saber') && !query.is_item_name_any('slot.hotbar',0,'pixel:golden_saber') && !query.is_item_name_any('slot.hotbar',0,'pixel:diamond_saber') && !query.is_item_name_any('slot.hotbar',0,'pixel:netherite_saber')"
						}
					]
				},
				"undefault": {
					"transitions": [
						{
							"sabre": "variable.saber"
						},
						{
							"default": "query.is_item_name_any('slot.hotbar',0,'pixel:wooden_saber')||query.is_item_name_any('slot.hotbar',0,'pixel:stone_saber')||query.is_item_name_any('slot.hotbar',0,'pixel:iron_saber')||query.is_item_name_any('slot.hotbar',0,'pixel:golden_saber')||query.is_item_name_any('slot.hotbar',0,'pixel:diamond_saber')||query.is_item_name_any('slot.hotbar',0,'pixel:netherite_saber')"
						}
					]
				},
				"unsheathe": {
					"animations": [
					  "sabre_unsheathe"
					],
					"transitions": [
						{
							"sabre": "query.all_animations_finished"
						},
						{
							"default": "!variable.saber"
						}
					]
				},
				"sabre": {
				    "animations": [
				      "sabre_base_pose",
				     "katana_unsheathed_0",
                      "shield_no_back"
				    ],
					"transitions": [
						{
							"move": "query.is_moving"
						},
						{
							"sneak": "query.is_sneaking"
						},
						{
							"ride": "query.is_riding"
						},
						{
							"default": "!variable.saber"
						}
					]
				},
				"ride": {
					"animations": [
					  "sabre_riding_pose",
					  "shield_no_back"
					],
					"transitions": [
						{
							"default": "!variable.saber"
						},
						{
							"sabre": "!query.is_riding"
						}
					]
				},
				"sneak": {
					"animations": [
				        "sabre_sneak",
					  "katana_unsheathed_0",
                      "shield_no_back"
					],
					"transitions": [
						{
							"default": "!variable.saber"
						},
						{
							"sneak_move": "query.is_moving"
						},
						{
							"sabre": "!query.is_sneaking"
						}
					]
				},
				"move": {
					"animations": [
					  "sabre_move",
					  "katana_unsheathed_0",
                      "shield_no_back"
					],
					"transitions": [
						{
							"default": "!variable.saber"
						},
						{
							"sabre": "!query.is_moving"
						},
						{
							"sprint": "query.is_sprinting"
						},
						{
							"sneak": "query.is_sneaking"
						}
					]
				},
				"sprint": {
					"animations": [
                      "shield_no_back",
					  "katana_unsheathed_0",
					  "sabre_sprint"
					],
					"transitions": [
						{
							"default": "!variable.saber"
						},
						{
							"sabre": "query.all_animations_finished"
						}
					]
				},
				"sneak_move": {
					"animations": [
                      "shield_no_back",
					  "katana_unsheathed_0",
					  "sabre_sneak_move"
					],
					"transitions": [
						{
							"default": "!variable.saber"
						},
						{
							"sabre": "!query.is_sneaking"
						},
						{
							"move": "!query.is_sprinting"
						},
						{
							"sneak": "query.is_sneaking && !query.is_moving"
						}
					]
				}
			}
		}
	}
}